#include "mem.h"

void memory_copy(u8 *source, u8 *dest, int nbytes)
{
	int i;
	for (i = 0; i < nbytes; i++) {
		*(dest + i) = *(source + i);
	}
}

void memory_set(u8 *dest, u8 val, u32 len)
{
	u8 *temp = (u8 *)dest;
	for ( ; len != 0; len--) *temp++ = val;
}

//TODO:
//free()
//alignment
const u32 start_addr = 0x100000;
u32 cur_addr = start_addr;
const u32 end_addr =  0x10000000;

u32 malloc(u32 len)
{
	u32 addr = cur_addr;
	cur_addr += len;
	return addr;
}
