#include "texteditor.h"
#include "../util/terminal.h"
#include "../libc/string.h"
#include "../drivers/screen.h"

void gen_padding(char *menu) {
	print("=");
	for(u8 i = 0; i < strlen(menu); i++) {
		if (menu[i] != '|')
			print("=");
		else
			print("|");
	}
	println("=");
}

void gen_menu() {
	//Top bar
	Color_t red;
	red.r = 255;
	fillrect(0, 0, color_to_pixel(red), SCN_WIDTH, 9);
	print("File	   Edit	   Exit");
}

void editor() {
	//Clear screen
	clear_screen();

	//Menu setup
	gen_menu();
}
