#ifndef terminal

#define terminal

#define char_height 12
#include "../drivers/keyboard.h"

void print(char *c);
void println(char *c);
void newline();
void delete_last();
void clear_screen();
void set_background(int r, int g, int b);
void set_offset();
void register_command(char *cmd, void (*handler)(char *));
int parse_command(char *linein);
void keyboard_handler(char key);
void keyboard_handler_special(enum SPECIAL key);
void register_keyboard_handler(void (*handler)(char key), void (*special)(enum SPECIAL key));
void remove_keyboard_handler();
void delete_last();
#endif
